LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

PACKAGE core_if IS
   type SPI_core_in_type is record
      dwrite    : std_logic_vector(7 downto 0);
      msb_first : std_logic;
      mode      : std_logic_vector(1 downto 0);
   end record;

   type SPI_core_out_type is record
      dread     : std_logic_vector(7 downto 0);
      byte_done : std_logic;
   end record;
END core_if;   
